#ifndef __MISC_H__
#define __MISC_H__

#include "fdlist.h"

#define NEXTARG_FLAGS_LASTARG	0x001

void command_tree_init(void);
int ircd_open_fd(int fd, int flags, IRCD_CLIENT *cptr, FDLIST *fdlistptr);
int ircd_close_fd(FDLISTINFO *fdlistinfo);
int client_add_rejecthold(int fd, struct sockaddr_in *rem_sin);
int client_add_local(IRCD_CLIENT *listener, int fd, struct sockaddr_in *rem_sin);
int client_del(IRCD_CLIENT *from, IRCD_CLIENT *cptr, char *reason);
int ircd_parse(IRCD_CLIENT *cptr);
char *ircd_nextarg(char **src, int flags);
char *ircd_clientname(IRCD_CLIENT *sptr, int showip, char *buffer);
int client_queue_flush(IRCD_CLIENT *cptr, char *exitbuf);
int ircd_ratelimit(IRCD_CLIENT *pptr, int *numptr, int *timeptr, int numlimit, int timelimit);
void servlink_rotate(SERVLINK *s);
void command_tree_free(void);

#endif
